# PyFfprober

A wrapper around ffprobe. `ffprobe` has to be in path for this to work.

You can start with 

```python
from rizzle_ffprobe import Container

c = Container.parse_from_file('/tmp/a.mkv')
c_list = Container.parse_from_files(['/tmp/a.mkv', '/tmp/b.mkv'])
```
On a container you can then look at multiple properties.

```python
from rizzle_ffprobe import Container
c = Container.parse_from_file('/tmp/a.mkv')

c.format     # contains global information about the container itself
c.video      # contains info about the video stream if available
c.audios     # contains info about the audio streams
c.subtitles  # contains info about the subtitle streams
c.chapters   # contains the number of chapters in the container
c.mtime      # contains the mtime of the file
```
