import sys
from typing import Optional, Dict, NoReturn

from colorama import Fore, Style


def croak(msg: Optional[str] = None) -> NoReturn:
    if msg:
        print(msg)
    sys.exit(1)


def ok_red(s, test: bool) -> str:
    return optional_color(s, {Fore.RED: not test})


def ok_yellow(s, test: bool) -> str:
    return optional_color(s, {Fore.YELLOW: not test})


def optional_color(s, tests: Dict[str, bool]) -> str:
    """
    Print a string in a specific console color if the test succeeds.
    :param s: The string to print
    :param tests: The color tests as a dict with color as key and test as value. If the value is True, use the color.
    :return: The colored string
    """
    output = Fore.GREEN + Style.BRIGHT
    for color, test in tests.items():
        if test:
            output = color
            break
    return f"{output}{s}{Style.RESET_ALL}"

